curl -X GET "https://YOUR_BASE_URL/jobs/comparison/1042/diff-details" \
-H "Authorization: Bearer <api-key>" \
-H "Workspace-Id: <workspace-id>"
import requests
job_id = 1042
url = f"https://YOUR_BASE_URL/jobs/comparison/{job_id}/diff-details"
headers = {
"Authorization": "Bearer <api-key>",
"Workspace-Id": "<workspace-id>",
}
response = requests.get(url, headers=headers)
print(response.json())
const jobId = 1042;
const response = await fetch(
`https://YOUR_BASE_URL/jobs/comparison/${jobId}/diff-details`,
{
method: "GET",
headers: {
"Authorization": "Bearer <api-key>",
"Workspace-Id": "<workspace-id>",
},
}
);
const data = await response.json();
console.log(data);
{
"data": {
"primary_key_columns": ["order_id"],
"column_mapping": {
"order_id": "order_id",
"customer_id": "customer_id",
"total": "total"
},
"mismatched_columns_mapping": {
"total": {
"mismatch_count": 3,
"details": "Numeric value differences"
}
},
"diff_rows": [
{
"order_id": 10045,
"source_total": 199.99,
"target_total": 200.00
},
{
"order_id": 10078,
"source_total": 49.95,
"target_total": 49.00
}
]
},
"meta": {}
}
Jobs
Get Diff Details
Get the full row-level diff for a completed comparison job.
GET
/
jobs
/
comparison
/
{job_id}
/
diff-details
curl -X GET "https://YOUR_BASE_URL/jobs/comparison/1042/diff-details" \
-H "Authorization: Bearer <api-key>" \
-H "Workspace-Id: <workspace-id>"
import requests
job_id = 1042
url = f"https://YOUR_BASE_URL/jobs/comparison/{job_id}/diff-details"
headers = {
"Authorization": "Bearer <api-key>",
"Workspace-Id": "<workspace-id>",
}
response = requests.get(url, headers=headers)
print(response.json())
const jobId = 1042;
const response = await fetch(
`https://YOUR_BASE_URL/jobs/comparison/${jobId}/diff-details`,
{
method: "GET",
headers: {
"Authorization": "Bearer <api-key>",
"Workspace-Id": "<workspace-id>",
},
}
);
const data = await response.json();
console.log(data);
{
"data": {
"primary_key_columns": ["order_id"],
"column_mapping": {
"order_id": "order_id",
"customer_id": "customer_id",
"total": "total"
},
"mismatched_columns_mapping": {
"total": {
"mismatch_count": 3,
"details": "Numeric value differences"
}
},
"diff_rows": [
{
"order_id": 10045,
"source_total": 199.99,
"target_total": 200.00
},
{
"order_id": 10078,
"source_total": 49.95,
"target_total": 49.00
}
]
},
"meta": {}
}
string
required
Bearer token. Format:
Bearer <api-key>string
required
Your workspace UUID.
integer
required
The job ID of the completed comparison run.
Response
object
Full diff details for the comparison job.
Show data
Show data
array
List of primary key column names used to match rows.
object
Map of source column names to target column names.
object
Per-column summary of mismatches. Keys are column names, values contain mismatch counts and details.
array
List of rows with differences. Each entry contains the primary key values and the differing column values from source and target.
object
Additional metadata.
curl -X GET "https://YOUR_BASE_URL/jobs/comparison/1042/diff-details" \
-H "Authorization: Bearer <api-key>" \
-H "Workspace-Id: <workspace-id>"
import requests
job_id = 1042
url = f"https://YOUR_BASE_URL/jobs/comparison/{job_id}/diff-details"
headers = {
"Authorization": "Bearer <api-key>",
"Workspace-Id": "<workspace-id>",
}
response = requests.get(url, headers=headers)
print(response.json())
const jobId = 1042;
const response = await fetch(
`https://YOUR_BASE_URL/jobs/comparison/${jobId}/diff-details`,
{
method: "GET",
headers: {
"Authorization": "Bearer <api-key>",
"Workspace-Id": "<workspace-id>",
},
}
);
const data = await response.json();
console.log(data);
{
"data": {
"primary_key_columns": ["order_id"],
"column_mapping": {
"order_id": "order_id",
"customer_id": "customer_id",
"total": "total"
},
"mismatched_columns_mapping": {
"total": {
"mismatch_count": 3,
"details": "Numeric value differences"
}
},
"diff_rows": [
{
"order_id": 10045,
"source_total": 199.99,
"target_total": 200.00
},
{
"order_id": 10078,
"source_total": 49.95,
"target_total": 49.00
}
]
},
"meta": {}
}
⌘I